
XML2JSON = function(xml){
    var children = xml.childNodes;
    if (children.length == 0) {
        return xml.nodeValue;
    }
    if (children.length == 1 && children.item(0).nodeType == 3) {
        return children.item(0).nodeValue;
    }
    var data = {};
    var isArray = false;
    if (children.length > 1 && children.item(0).nodeName == children.item(1).nodeName) {
        data = [];
        isArray = true;
    }
    for (var i = 0; i < children.length; i++) {
        var item = children.item(i);
        var nodeName = item.nodeName;
        var nodeValue = XML2JSON(children.item(i));
		if (logger.enabled) {
        	logger.info(nodeName + " : " + nodeValue);
        }
        if (isArray) {
            data.push({
                nodeName: nodeValue
            });
        }
        else {
            data[nodeName] = nodeValue;
        }
    }
    return data;
};

